Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class InvocationRequest

    java.lang.Object
      org.jboss.remoting.InvocationRequest

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Callback

    public class InvocationRequest

extends java.lang.Object
implements java.io.Serializable

InvocationRequest is passed to ServerInvocationHandler which encapsulates the unmarshalled method invocation parameters from the ServerInvoker.

Version:
  $Revision: 1977 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`protected` | `InvocationRequest(java.lang.Object arg)`
`` | `InvocationRequest(java.lang.String sessionId, java.lang.String subsystem, java.lang.Object arg, java.util.Map requestPayload, java.util.Map returnPayload, InvokerLocator locator)`

Method Summary
`InvokerLocator` | `getLocator()`
`java.lang.Object` | `getParameter()`
`java.util.Map` | `getRequestPayload()`
`java.util.Map` | `getReturnPayload()`
`java.lang.String` | `getSessionId()`
`java.lang.String` | `getSubsystem()`
`void` | `setLocator(InvokerLocator locator)`
`void` | `setParameter(java.lang.Object arg)`
`void` | `setRequestPayload(java.util.Map requestPayload)`
`void` | `setReturnPayload(java.util.Map returnPayload)`
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `setSubsystem(java.lang.String subsystem)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvocationRequest

    public InvocationRequest(java.lang.String sessionId,
                             java.lang.String subsystem,
                             java.lang.Object arg,
                             java.util.Map requestPayload,
                             java.util.Map returnPayload,
                             InvokerLocator locator)

### InvocationRequest

    protected InvocationRequest(java.lang.Object arg)

Method Detail

### getLocator

    public InvokerLocator getLocator()

### setLocator

    public void setLocator(InvokerLocator locator)

### getSubsystem

    public java.lang.String getSubsystem()

### setSubsystem

    public void setSubsystem(java.lang.String subsystem)

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)

### getParameter

    public java.lang.Object getParameter()

### setParameter

    public void setParameter(java.lang.Object arg)

### getRequestPayload

    public java.util.Map getRequestPayload()

### setRequestPayload

    public void setRequestPayload(java.util.Map requestPayload)

### getReturnPayload

    public java.util.Map getReturnPayload()

### setReturnPayload

    public void setReturnPayload(java.util.Map returnPayload)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.